package kr.co.hanwha.hifive.adapter.model;

import kr.co.hanwha.hifive.enums.ViewHolderOkrType;

/**
 * Created by aaron on 2018. 10. 5.
 */
public class OkrListViewHolderData {

    int id;
    String name;
    String desc;
    ViewHolderOkrType type;
    Boolean isLast = false;
    int projectId;
    String projectName;
    boolean hasEmptyKr = false;
    String title;
    int intValue;

    public OkrListViewHolderData(ViewHolderOkrType type) {
        this.type = type;
    }

    public OkrListViewHolderData(int id, String name, String desc, ViewHolderOkrType type) {
        this.id = id;
        this.name = name;
        this.desc = desc;
        this.type = type;
    }

    public OkrListViewHolderData(ViewHolderOkrType type, String title, int intValue) {
        this.type = type;
        this.title = title;
        this.intValue = intValue;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public ViewHolderOkrType getType() {
        return type;
    }

    public void setType(ViewHolderOkrType type) {
        this.type = type;
    }

    public int getProjectId() {
        return projectId;
    }

    public void setProjectId(int projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Boolean getLast() {
        return isLast;
    }

    public void setLast(Boolean last) {
        isLast = last;
    }

    public String getKey() {
        return projectId + "_" + id;
    }

    public boolean isHasEmptyKr() {
        return hasEmptyKr;
    }

    public void setHasEmptyKr(boolean hasEmptyKr) {
        this.hasEmptyKr = hasEmptyKr;
    }

    public String getTitle() {
        return title;
    }

    public int getIntValue() {
        return intValue;
    }
}
